import AjaxClient from 'reactator/client/AjaxClient';

export default class TodoClient extends AjaxClient {
    constructor() {
        super('/api/todos/v1');
    }

    create(item) {
        return super.create(item, {dataType: 'text'});
    }

    delete(id) {
        return super.delete(id, {dataType: 'text'});
    }
}
