import dotProp from 'dot-prop-immutable';
import {Reducer, ReducerWrapper} from 'reactator/reducers/Reducer';

export default class ApplicationReducer extends Reducer {
    constructor() {
        super('application');

        return new ReducerWrapper(this);
    }

    apply(state = {}) {
        return state;
    }

    ENABLE_MODAL(state, action) {
        return dotProp.set(state, 'modal', action.payload);
    }

    DISABLE_MODAL(state) {
        return dotProp.delete(state, 'modal');
    }
}
