/** @module <%= appFileName %> */

import reactator from 'reactator/index';
import <%= appFileName %> from './<%= appFileName %>.js';
import ReactatorClientApp from 'reactator/ReactatorClientApp';
import <%= appFileName %>AppConfigurationBuilder from './<%= appFileName %>AppConfigurationBuilder.js';

// <%= appFileName %> App Configuration
const configuration = new <%= appFileName %>AppConfigurationBuilder().build();

/**
 * @class
 * @classdesc <%= appFileName %>App is a simple single page app built using reactator.
 */
const app = new ReactatorClientApp(configuration);

//
// Start the Client App
//
app.start();

//
// Make the packages available
//
if (typeof window !== 'undefined') {
    window.reactator = reactator;
    window.<%= appFileName %> = <%= appFileName %>;
    window.app = app;
}
