import React from 'react';
import Footer from './layout/Footer.js';
import FixedHeader from './layout/FixedHeader.js';

/**
 * @class
 * @memberOf module:<%= appFileName %>
 * @classdesc AppLayout is a basic layout for the <%= appFileName %> adding a div.app around its children.
 */
export default class AppLayout extends React.PureComponent {
    static foo() {
        console.log('wuuuut');
    }

    render() {
        return (
            <div className='app'>
                <FixedHeader />
                <div className="container mt-5">
                    {this.props.children}
                </div>
                <Footer />
            </div>
        );
    }
}
