import {Link} from 'react-router';
import React, {Component} from 'react';

export default class Footer extends Component {
    render() {
        return (
            <footer className="page-footer elegant-color-dark center-on-small-only">
                <div className="container">
                    <div className="row">
                        <div className="col-md-6">
                            <h5 className="title">Awesome <%= appFileName %> Footer</h5>
                            <p>Todo <%= appFileName %> Provides a Server/Client Leveraging react/react-router/redux.</p>
                        </div>
                        <div className="col-md-6">
                            <h5 className="title">Links</h5>
                            <ul>
                                <li><Link to="/">Todos</Link></li>
                                <li><Link to="/doc">Docs</Link></li>
                                <li>
                                    <a href="https://www.npmjs.com/package/reactator" target="_blank">reactator</a>&nbsp;
                                    <a href="http://arminbhy.github.io/reactator/" target="_blank">(documentation)</a>
                                </li>
                                <li><a href="https://www.npmjs.com/package/reactator-build" target="_blank">reactator-build</a></li>
                                <li><a href="https://github.com/arminbhy/reactator-demo" target="_blank">reactator-demo</a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </footer>
        );
    }
}
