import React from 'react';
import NewTodoEntryContainer from '../../containers/NewTodoEntryContainer.js';
import TodoListContainer from '../../containers/TodoListContainer.js';

/**
 * @class
 * @memberOf module:<%= appFileName %>
 * @classdesc TodoComponent is a simple default page for the <%= appFileName %>.
 */
export default class TodoComponent extends React.PureComponent {
    static ACTIONS = ['LOAD_TODO'];

    constructor(props) {
        super(props);
    }

    render() {
        return (
            <div className="card">
                <div className="card-header primary-color-dark white-text">
                    Things Todo
                </div>
                <div className="card-block">
                    <NewTodoEntryContainer />
                    <TodoListContainer />
                </div>
            </div>
        );
    }
}
