import _ from 'reactator/lib/lodash';
import {createSelector} from 'reselect';

const getTodos = (state) => _.values(state.todos);

export const getSortedTodos = createSelector(
    [getTodos],
    (todos) => {
        return _.orderBy(todos, ['completed', 'created'], ['asc', 'desc']);
    }
);
